PIVOT_ROOT(8)

NOM
pivot_root - Changer le système de fichiers racine

SYNOPSIS
pivot_root nouvelle_racine emplacement_ancien

DESCRIPTION
pivot_root déplace la racine du système de fichiers du processus actuel vers le répertoire emplacement_ancien et désigne nouvelle_racine comme la nouvelle racine du système de fichiers. Puisque pivot_root(8) fait simplement appel à pivot_root(2), veuillez vous référer à la page du manuel de ce dernier pour plus de précisions.

Notez que, selon l'implémentation de la commande pivot_root, la racine et le répertoire de travail actuel du processus appelant peut changer tout comme il peut ne pas changer. Ce qui suit est un exemple d'appel à pivot_root qui fonctionne dans un cas comme dans l'autre, en supposant que pivot_root et chroot sont dans le chemin de recherche actuel (PATH) :

cd nouvelle_racine
pivot_root . emplacement_ancien
exec chroot . commande

Notez que chroot doit être disponible dans l'ancienne racine et aussi dans la nouvelle, car pivot_root pourrait ou non avoir changé implicitement le répertoire racine de l'interpréteur de commandes.

Notez que exec chroot change le processus actuel, ce qui s'avère être nécessaire si l'ancien répertoire racine est démonté par la suite. Par ailleurs sachez que l'entrée, la sortie et l'erreur standard peuvent encore pointer sur un périphérique de l'ancienne racine du système de fichiers, le rendant occupé. Elles peuvent être aisément modifiées en utilisant chroot (voir ci-dessous ; remarquez l'absence de barre oblique au début pour qu'il fonctionne si pivot_root a changé la racine de l'interpréteur de commandes ou pas.

OPTIONS

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

EXEMPLES
Changer la racine du système de fichiers vers /dev/hda1 depuis un interpréteur de commandes interactif :

mount /dev/hda1 /nouvelle-racine
cd /nouvelle-racine
pivot_root . ancienne-racine
exec chroot . sh <dev/console >dev/console 2>&1
umount /ancienne-racine

Monter le nouveau système de fichiers racine à partir d'un disque NFS 0.0.0.1:/ma_racine et exécute init :

ifconfig lo 127.0.0.1 up   # pour portmap
# configurer Ethernet ou autre
portmap   # pour lockd (lancé implicitement par mount)
mount -o ro 10.0.0.1:/ma_racine /mnt
killall portmap   # portmap retient l'ancienne racine occupée
cd /mnt
pivot_root . ancienne_racine
exec chroot . sh -c 'umount /ancienne racine; exec /sbin/init' \
  <dev/console >dev/console 2>&1

VOIR AUSSI
chroot(1), pivot_root(2), mount(8), switch_root(8), umount(8)

DISPONIBILITÉ
La commande pivot_root fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Alexandre Kuoch <alex DOT kuoch AT gmail DOT com> et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.